#include <avr/io.h>

#define WR		PINA0
#define RD		PINA1
#define CE		PINA2
#define CD		PINA3
#define RS		PINA4

#define DATA	DDRC

#define WR_ON()		PORTA &= ~(1<<WR);
#define WR_OFF()	PORTA |= (1<<WR);

#define RD_ON()		PORTA &= ~(1<<RD);
#define RD_OFF()	PORTA |= (1<<RD);

#define CE_ON()		PORTA &= ~(1<<CE);
#define CE_OFF()	PORTA |= (1<<CE);

#define DATA_ON()	PORTA &= ~(1<<CD);
#define CMD_ON()	PORTA |= (1<<CD);

#define RS_ON()		PORTA &= ~(1<<RS);
#define RS_OFF()	PORTA |= (1<<RS);



#define DATA_OUT()	DATA = 0xFF;
#define DATA_IN()	DATA = 0x00;

#define READ_DATA()    PINC	  // read PINC, ! NOT ! PORTC
#define WRITE_DATA(a)  PORTC=(a); // write to data port





void check_bussy(void);

void write_command(unsigned char command);

void write_data(unsigned char data);

void write_command_1data(unsigned char command, unsigned char data1);

void write_command_2data(unsigned char command, unsigned char data1, unsigned char data2);

void init_glcd(void);

